PDA

View Full Version : [ubuntu] Ndiswrapper instead of RTL8187



Burky
January 10th, 2010, 04:43 AM
I have Ubuntu 9.10. My USB WG111v3 Wireless Card uses the rtl8187 driver. This driver is buggy. I would like to use Ndiswrapper instead. How to make it so Ubuntu doesn't load the rtl8187 driver but Ndiswrapper instead?

The Toxic Mite
January 10th, 2010, 10:09 AM
Well, do you have the Windows XP drivers for it?

The reason I ask is because NDISwrapper doesn't work with drivers that have been installed on/designed for Windows Vista and above (for some reason :-k)

First of all you will need to install NDISwrapper from the CD.

Just pop it in, load a terminal and:



sudo apt-get install ndiswrapper-common


If you want to use the graphical front-end (ndisgtk):



sudo apt-get install ndisgtk


-TTM-

Burky
January 10th, 2010, 05:19 PM
Yes, I have everything configured with ndiswrapper. I just need linux to use ndiswrapper instead of the RTL8187 driver.